import { Annotation, InternalAnnotationTypeEnum } from './annotation.abstract';
/**
 * Annotation to represent a selection range
 */
export class SelectionRangeAnnotation extends Annotation {
  constructor(range) {
    super();
    this.type = InternalAnnotationTypeEnum.SELECTION_RANGE;
    this.range = range;
  }
  /**
   * Clone the selection range annotation
   *
   * @returns {SelectionRangeAnnotation} A cloned instance of the selection range annotation
   */
  clone() {
    return new SelectionRangeAnnotation(this.range);
  }
}
